/**
 * Open ended enum at runtime
 */
declare const enum LanguageId {
    Null = 0,
    PlainText = 1
}
/**
 * Open ended enum at runtime
 */
declare const enum ColorId {
    None = 0,
    DefaultForeground = 1,
    DefaultBackground = 2
}
/**
 * A standard token type.
 */
declare const enum StandardTokenType {
    Other = 0,
    Comment = 1,
    String = 2,
    RegEx = 3
}
/**
 */
interface ITokenPresentation {
    foreground: ColorId;
    italic: boolean;
    bold: boolean;
    underline: boolean;
    strikethrough: boolean;
}

export { ColorId, type ITokenPresentation, LanguageId, StandardTokenType };
