import { IRange } from '../core/range.js';
import { FoldingRules } from '../languages/languageConfiguration.js';

interface FindSectionHeaderOptions {
    foldingRules?: FoldingRules;
    findRegionSectionHeaders: boolean;
    findMarkSectionHeaders: boolean;
}
interface SectionHeader {
    /**
     * The location of the header text in the text model.
     */
    range: IRange;
    /**
     * The section header text.
     */
    text: string;
    /**
     * Whether the section header includes a separator line.
     */
    hasSeparatorLine: boolean;
    /**
     * This section should be omitted before rendering if it's not in a comment.
     */
    shouldBeInComments: boolean;
}

export type { FindSectionHeaderOptions, SectionHeader };
