import { localizeWithPath } from '../../../../nls.js';
import { registerColor, transparent } from '../colorUtils.js';
import { foreground } from './baseColors.js';
import { editorErrorForeground, editorInfoForeground, editorWarningForeground } from './editorColors.js';
import { minimapFindMatch } from './minimapColors.js';
const _moduleId = "vs/platform/theme/common/colors/chartsColors";
registerColor('charts.foreground', { dark: foreground, light: foreground, hcDark: foreground, hcLight: foreground }, ( localizeWithPath(_moduleId, 0, "The foreground color used in charts.")));
registerColor('charts.lines', { dark: ( (transparent(foreground, .5))), light: ( (transparent(foreground, .5))), hcDark: ( (transparent(foreground, .5))), hcLight: ( (transparent(foreground, .5))) }, ( localizeWithPath(_moduleId, 1, "The color used for horizontal lines in charts.")));
const chartsRed = registerColor('charts.red', { dark: editorErrorForeground, light: editorErrorForeground, hcDark: editorErrorForeground, hcLight: editorErrorForeground }, ( localizeWithPath(_moduleId, 2, "The red color used in chart visualizations.")));
registerColor('charts.blue', { dark: editorInfoForeground, light: editorInfoForeground, hcDark: editorInfoForeground, hcLight: editorInfoForeground }, ( localizeWithPath(_moduleId, 3, "The blue color used in chart visualizations.")));
const chartsYellow = registerColor('charts.yellow', { dark: editorWarningForeground, light: editorWarningForeground, hcDark: editorWarningForeground, hcLight: editorWarningForeground }, ( localizeWithPath(_moduleId, 4, "The yellow color used in chart visualizations.")));
registerColor('charts.orange', { dark: minimapFindMatch, light: minimapFindMatch, hcDark: minimapFindMatch, hcLight: minimapFindMatch }, ( localizeWithPath(_moduleId, 5, "The orange color used in chart visualizations.")));
const chartsGreen = registerColor('charts.green', { dark: '#89D185', light: '#388A34', hcDark: '#89D185', hcLight: '#374e06' }, ( localizeWithPath(_moduleId, 6, "The green color used in chart visualizations.")));
registerColor('charts.purple', { dark: '#B180D7', light: '#652D90', hcDark: '#B180D7', hcLight: '#652D90' }, ( localizeWithPath(_moduleId, 7, "The purple color used in chart visualizations.")));
export { chartsGreen, chartsRed, chartsYellow };
