import { localizeWithPath } from '../../../../nls.js';
import { registerColor, transparent } from '../colorUtils.js';
import { foreground } from './baseColors.js';
import { editorFindMatchHighlight, editorFindMatchHighlightBorder } from './editorColors.js';
const _moduleId = "vs/platform/theme/common/colors/searchColors";
registerColor('search.resultsInfoForeground', { light: foreground, dark: ( (transparent(foreground, 0.65))), hcDark: foreground, hcLight: foreground }, ( localizeWithPath(
 _moduleId,
 0,
 "Color of the text in the search viewlet's completion message."
)));
registerColor('searchEditor.findMatchBackground', { light: ( (transparent(editorFindMatchHighlight, 0.66))), dark: ( (transparent(editorFindMatchHighlight, 0.66))), hcDark: editorFindMatchHighlight, hcLight: editorFindMatchHighlight }, ( localizeWithPath(_moduleId, 1, "Color of the Search Editor query matches.")));
registerColor('searchEditor.findMatchBorder', { light: ( (transparent(editorFindMatchHighlightBorder, 0.66))), dark: ( (transparent(editorFindMatchHighlightBorder, 0.66))), hcDark: editorFindMatchHighlightBorder, hcLight: editorFindMatchHighlightBorder }, ( localizeWithPath(_moduleId, 2, "Border color of the Search Editor query matches.")));
