import { Codicon } from '../../../../base/common/codicons.js';
import { localizeWithPath } from '../../../../nls.js';
import { registerIcon } from '../../../../platform/theme/common/iconRegistry.js';
const _moduleId = "vs/workbench/contrib/debug/browser/debugIcons";
const debugConsoleViewIcon = registerIcon('debug-console-view-icon', Codicon.debugConsole, ( localizeWithPath(_moduleId, 0, 'View icon of the debug console view.')));
const runViewIcon = registerIcon('run-view-icon', Codicon.debugAlt, ( localizeWithPath(_moduleId, 1, 'View icon of the run view.')));
const variablesViewIcon = registerIcon('variables-view-icon', Codicon.debugAlt, ( localizeWithPath(_moduleId, 2, 'View icon of the variables view.')));
const watchViewIcon = registerIcon('watch-view-icon', Codicon.debugAlt, ( localizeWithPath(_moduleId, 3, 'View icon of the watch view.')));
const callStackViewIcon = registerIcon('callstack-view-icon', Codicon.debugAlt, ( localizeWithPath(_moduleId, 4, 'View icon of the call stack view.')));
const breakpointsViewIcon = registerIcon('breakpoints-view-icon', Codicon.debugAlt, ( localizeWithPath(_moduleId, 5, 'View icon of the breakpoints view.')));
const loadedScriptsViewIcon = registerIcon('loaded-scripts-view-icon', Codicon.debugAlt, ( localizeWithPath(_moduleId, 6, 'View icon of the loaded scripts view.')));
const breakpoint = {
    regular: registerIcon('debug-breakpoint', Codicon.debugBreakpoint, ( localizeWithPath(_moduleId, 7, 'Icon for breakpoints.'))),
    disabled: registerIcon('debug-breakpoint-disabled', Codicon.debugBreakpointDisabled, ( localizeWithPath(_moduleId, 8, 'Icon for disabled breakpoints.'))),
    unverified: registerIcon('debug-breakpoint-unverified', Codicon.debugBreakpointUnverified, ( localizeWithPath(_moduleId, 9, 'Icon for unverified breakpoints.'))),
    pending: registerIcon('debug-breakpoint-pending', Codicon.debugBreakpointPending, ( localizeWithPath(_moduleId, 10, 'Icon for breakpoints waiting on another breakpoint.'))),
};
const functionBreakpoint = {
    regular: registerIcon('debug-breakpoint-function', Codicon.debugBreakpointFunction, ( localizeWithPath(_moduleId, 11, 'Icon for function breakpoints.'))),
    disabled: registerIcon('debug-breakpoint-function-disabled', Codicon.debugBreakpointFunctionDisabled, ( localizeWithPath(_moduleId, 12, 'Icon for disabled function breakpoints.'))),
    unverified: registerIcon('debug-breakpoint-function-unverified', Codicon.debugBreakpointFunctionUnverified, ( localizeWithPath(_moduleId, 13, 'Icon for unverified function breakpoints.')))
};
const conditionalBreakpoint = {
    regular: registerIcon('debug-breakpoint-conditional', Codicon.debugBreakpointConditional, ( localizeWithPath(_moduleId, 14, 'Icon for conditional breakpoints.'))),
    disabled: registerIcon('debug-breakpoint-conditional-disabled', Codicon.debugBreakpointConditionalDisabled, ( localizeWithPath(_moduleId, 15, 'Icon for disabled conditional breakpoints.'))),
    unverified: registerIcon('debug-breakpoint-conditional-unverified', Codicon.debugBreakpointConditionalUnverified, ( localizeWithPath(_moduleId, 16, 'Icon for unverified conditional breakpoints.')))
};
const dataBreakpoint = {
    regular: registerIcon('debug-breakpoint-data', Codicon.debugBreakpointData, ( localizeWithPath(_moduleId, 17, 'Icon for data breakpoints.'))),
    disabled: registerIcon('debug-breakpoint-data-disabled', Codicon.debugBreakpointDataDisabled, ( localizeWithPath(_moduleId, 18, 'Icon for disabled data breakpoints.'))),
    unverified: registerIcon('debug-breakpoint-data-unverified', Codicon.debugBreakpointDataUnverified, ( localizeWithPath(_moduleId, 19, 'Icon for unverified data breakpoints.'))),
};
const logBreakpoint = {
    regular: registerIcon('debug-breakpoint-log', Codicon.debugBreakpointLog, ( localizeWithPath(_moduleId, 20, 'Icon for log breakpoints.'))),
    disabled: registerIcon('debug-breakpoint-log-disabled', Codicon.debugBreakpointLogDisabled, ( localizeWithPath(_moduleId, 21, 'Icon for disabled log breakpoint.'))),
    unverified: registerIcon('debug-breakpoint-log-unverified', Codicon.debugBreakpointLogUnverified, ( localizeWithPath(_moduleId, 22, 'Icon for unverified log breakpoints.'))),
};
const debugBreakpointHint = registerIcon('debug-hint', Codicon.debugHint, ( localizeWithPath(
    _moduleId,
    23,
    'Icon for breakpoint hints shown on hover in editor glyph margin.'
)));
const debugBreakpointUnsupported = registerIcon('debug-breakpoint-unsupported', Codicon.debugBreakpointUnsupported, ( localizeWithPath(_moduleId, 24, 'Icon for unsupported breakpoints.')));
const allBreakpoints = [breakpoint, functionBreakpoint, conditionalBreakpoint, dataBreakpoint, logBreakpoint];
const debugStackframe = registerIcon('debug-stackframe', Codicon.debugStackframe, ( localizeWithPath(_moduleId, 25, 'Icon for a stackframe shown in the editor glyph margin.')));
const debugStackframeFocused = registerIcon('debug-stackframe-focused', Codicon.debugStackframeFocused, ( localizeWithPath(
    _moduleId,
    26,
    'Icon for a focused stackframe  shown in the editor glyph margin.'
)));
const debugGripper = registerIcon('debug-gripper', Codicon.gripper, ( localizeWithPath(_moduleId, 27, 'Icon for the debug bar gripper.')));
const debugRestartFrame = registerIcon('debug-restart-frame', Codicon.debugRestartFrame, ( localizeWithPath(_moduleId, 28, 'Icon for the debug restart frame action.')));
const debugStop = registerIcon('debug-stop', Codicon.debugStop, ( localizeWithPath(_moduleId, 29, 'Icon for the debug stop action.')));
const debugDisconnect = registerIcon('debug-disconnect', Codicon.debugDisconnect, ( localizeWithPath(_moduleId, 30, 'Icon for the debug disconnect action.')));
const debugRestart = registerIcon('debug-restart', Codicon.debugRestart, ( localizeWithPath(_moduleId, 31, 'Icon for the debug restart action.')));
const debugStepOver = registerIcon('debug-step-over', Codicon.debugStepOver, ( localizeWithPath(_moduleId, 32, 'Icon for the debug step over action.')));
const debugStepInto = registerIcon('debug-step-into', Codicon.debugStepInto, ( localizeWithPath(_moduleId, 33, 'Icon for the debug step into action.')));
const debugStepOut = registerIcon('debug-step-out', Codicon.debugStepOut, ( localizeWithPath(_moduleId, 34, 'Icon for the debug step out action.')));
const debugStepBack = registerIcon('debug-step-back', Codicon.debugStepBack, ( localizeWithPath(_moduleId, 35, 'Icon for the debug step back action.')));
const debugPause = registerIcon('debug-pause', Codicon.debugPause, ( localizeWithPath(_moduleId, 36, 'Icon for the debug pause action.')));
const debugContinue = registerIcon('debug-continue', Codicon.debugContinue, ( localizeWithPath(_moduleId, 37, 'Icon for the debug continue action.')));
const debugReverseContinue = registerIcon('debug-reverse-continue', Codicon.debugReverseContinue, ( localizeWithPath(_moduleId, 38, 'Icon for the debug reverse continue action.')));
const debugRun = registerIcon('debug-run', Codicon.run, ( localizeWithPath(_moduleId, 39, 'Icon for the run or debug action.')));
const debugStart = registerIcon('debug-start', Codicon.debugStart, ( localizeWithPath(_moduleId, 40, 'Icon for the debug start action.')));
const debugConfigure = registerIcon('debug-configure', Codicon.gear, ( localizeWithPath(_moduleId, 41, 'Icon for the debug configure action.')));
registerIcon('debug-console', Codicon.gear, ( localizeWithPath(_moduleId, 42, 'Icon for the debug console open action.')));
const debugRemoveConfig = registerIcon('debug-remove-config', Codicon.trash, ( localizeWithPath(_moduleId, 43, 'Icon for removing debug configurations.')));
registerIcon('debug-collapse-all', Codicon.collapseAll, ( localizeWithPath(_moduleId, 44, 'Icon for the collapse all action in the debug views.')));
const callstackViewSession = registerIcon('callstack-view-session', Codicon.bug, ( localizeWithPath(_moduleId, 45, 'Icon for the session icon in the call stack view.')));
const debugConsoleClearAll = registerIcon('debug-console-clear-all', Codicon.clearAll, ( localizeWithPath(_moduleId, 46, 'Icon for the clear all action in the debug console.')));
const watchExpressionsRemoveAll = registerIcon('watch-expressions-remove-all', Codicon.closeAll, ( localizeWithPath(_moduleId, 47, 'Icon for the Remove All action in the watch view.')));
const watchExpressionRemove = registerIcon('watch-expression-remove', Codicon.removeClose, ( localizeWithPath(_moduleId, 48, 'Icon for the Remove action in the watch view.')));
const watchExpressionsAdd = registerIcon('watch-expressions-add', Codicon.add, ( localizeWithPath(_moduleId, 49, 'Icon for the add action in the watch view.')));
const watchExpressionsAddFuncBreakpoint = registerIcon('watch-expressions-add-function-breakpoint', Codicon.add, ( localizeWithPath(
    _moduleId,
    50,
    'Icon for the add function breakpoint action in the watch view.'
)));
const watchExpressionsAddDataBreakpoint = registerIcon('watch-expressions-add-data-breakpoint', Codicon.variableGroup, ( localizeWithPath(
    _moduleId,
    51,
    'Icon for the add data breakpoint action in the breakpoints view.'
)));
const breakpointsRemoveAll = registerIcon('breakpoints-remove-all', Codicon.closeAll, ( localizeWithPath(_moduleId, 52, 'Icon for the Remove All action in the breakpoints view.')));
const breakpointsActivate = registerIcon('breakpoints-activate', Codicon.activateBreakpoints, ( localizeWithPath(_moduleId, 53, 'Icon for the activate action in the breakpoints view.')));
const debugConsoleEvaluationInput = registerIcon('debug-console-evaluation-input', Codicon.arrowSmallRight, ( localizeWithPath(_moduleId, 54, 'Icon for the debug evaluation input marker.')));
const debugConsoleEvaluationPrompt = registerIcon('debug-console-evaluation-prompt', Codicon.chevronRight, ( localizeWithPath(_moduleId, 55, 'Icon for the debug evaluation prompt.')));
const debugInspectMemory = registerIcon('debug-inspect-memory', Codicon.fileBinary, ( localizeWithPath(_moduleId, 56, 'Icon for the inspect memory action.')));
export { allBreakpoints, breakpoint, breakpointsActivate, breakpointsRemoveAll, breakpointsViewIcon, callStackViewIcon, callstackViewSession, conditionalBreakpoint, dataBreakpoint, debugBreakpointHint, debugBreakpointUnsupported, debugConfigure, debugConsoleClearAll, debugConsoleEvaluationInput, debugConsoleEvaluationPrompt, debugConsoleViewIcon, debugContinue, debugDisconnect, debugGripper, debugInspectMemory, debugPause, debugRemoveConfig, debugRestart, debugRestartFrame, debugReverseContinue, debugRun, debugStackframe, debugStackframeFocused, debugStart, debugStepBack, debugStepInto, debugStepOut, debugStepOver, debugStop, functionBreakpoint, loadedScriptsViewIcon, logBreakpoint, runViewIcon, variablesViewIcon, watchExpressionRemove, watchExpressionsAdd, watchExpressionsAddDataBreakpoint, watchExpressionsAddFuncBreakpoint, watchExpressionsRemoveAll, watchViewIcon };
