import { Codicon } from '../../../../base/common/codicons.js';
import { localizeWithPath } from '../../../../nls.js';
import { registerIcon } from '../../../../platform/theme/common/iconRegistry.js';
const _moduleId = "vs/workbench/contrib/notebook/browser/notebookIcons";
const selectKernelIcon = registerIcon('notebook-kernel-select', Codicon.serverEnvironment, ( localizeWithPath(_moduleId, 0, 'Configure icon to select a kernel in notebook editors.')));
const executeIcon = registerIcon('notebook-execute', Codicon.play, ( localizeWithPath(_moduleId, 1, 'Icon to execute in notebook editors.')));
const executeAboveIcon = registerIcon('notebook-execute-above', Codicon.runAbove, ( localizeWithPath(_moduleId, 2, 'Icon to execute above cells in notebook editors.')));
const executeBelowIcon = registerIcon('notebook-execute-below', Codicon.runBelow, ( localizeWithPath(_moduleId, 3, 'Icon to execute below cells in notebook editors.')));
const stopIcon = registerIcon('notebook-stop', Codicon.primitiveSquare, ( localizeWithPath(_moduleId, 4, 'Icon to stop an execution in notebook editors.')));
const deleteCellIcon = registerIcon('notebook-delete-cell', Codicon.trash, ( localizeWithPath(_moduleId, 5, 'Icon to delete a cell in notebook editors.')));
const executeAllIcon = registerIcon('notebook-execute-all', Codicon.runAll, ( localizeWithPath(_moduleId, 6, 'Icon to execute all cells in notebook editors.')));
const editIcon = registerIcon('notebook-edit', Codicon.pencil, ( localizeWithPath(_moduleId, 7, 'Icon to edit a cell in notebook editors.')));
const stopEditIcon = registerIcon('notebook-stop-edit', Codicon.check, ( localizeWithPath(_moduleId, 8, 'Icon to stop editing a cell in notebook editors.')));
const moveUpIcon = registerIcon('notebook-move-up', Codicon.arrowUp, ( localizeWithPath(_moduleId, 9, 'Icon to move up a cell in notebook editors.')));
const moveDownIcon = registerIcon('notebook-move-down', Codicon.arrowDown, ( localizeWithPath(_moduleId, 10, 'Icon to move down a cell in notebook editors.')));
const clearIcon = registerIcon('notebook-clear', Codicon.clearAll, ( localizeWithPath(_moduleId, 11, 'Icon to clear cell outputs in notebook editors.')));
const splitCellIcon = registerIcon('notebook-split-cell', Codicon.splitVertical, ( localizeWithPath(_moduleId, 12, 'Icon to split a cell in notebook editors.')));
const successStateIcon = registerIcon('notebook-state-success', Codicon.check, ( localizeWithPath(_moduleId, 13, 'Icon to indicate a success state in notebook editors.')));
const errorStateIcon = registerIcon('notebook-state-error', Codicon.error, ( localizeWithPath(_moduleId, 14, 'Icon to indicate an error state in notebook editors.')));
const pendingStateIcon = registerIcon('notebook-state-pending', Codicon.clock, ( localizeWithPath(_moduleId, 15, 'Icon to indicate a pending state in notebook editors.')));
const executingStateIcon = registerIcon('notebook-state-executing', Codicon.sync, ( localizeWithPath(_moduleId, 16, 'Icon to indicate an executing state in notebook editors.')));
const collapsedIcon = registerIcon('notebook-collapsed', Codicon.chevronRight, ( localizeWithPath(_moduleId, 17, 'Icon to annotate a collapsed section in notebook editors.')));
const expandedIcon = registerIcon('notebook-expanded', Codicon.chevronDown, ( localizeWithPath(_moduleId, 18, 'Icon to annotate an expanded section in notebook editors.')));
const openAsTextIcon = registerIcon('notebook-open-as-text', Codicon.fileCode, ( localizeWithPath(_moduleId, 19, 'Icon to open the notebook in a text editor.')));
const revertIcon = registerIcon('notebook-revert', Codicon.discard, ( localizeWithPath(_moduleId, 20, 'Icon to revert in notebook editors.')));
const renderOutputIcon = registerIcon('notebook-render-output', Codicon.preview, ( localizeWithPath(_moduleId, 21, 'Icon to render output in diff editor.')));
const mimetypeIcon = registerIcon('notebook-mimetype', Codicon.code, ( localizeWithPath(_moduleId, 22, 'Icon for a mime type in notebook editors.')));
const copyIcon = registerIcon('notebook-copy', Codicon.copy, ( localizeWithPath(_moduleId, 23, 'Icon to copy content to clipboard')));
const previousChangeIcon = registerIcon('notebook-diff-editor-previous-change', Codicon.arrowUp, ( localizeWithPath(_moduleId, 24, 'Icon for the previous change action in the diff editor.')));
const nextChangeIcon = registerIcon('notebook-diff-editor-next-change', Codicon.arrowDown, ( localizeWithPath(_moduleId, 25, 'Icon for the next change action in the diff editor.')));
const variablesViewIcon = registerIcon('variables-view-icon', Codicon.debugAlt, ( localizeWithPath(_moduleId, 26, 'View icon of the variables view.')));
export { clearIcon, collapsedIcon, copyIcon, deleteCellIcon, editIcon, errorStateIcon, executeAboveIcon, executeAllIcon, executeBelowIcon, executeIcon, executingStateIcon, expandedIcon, mimetypeIcon, moveDownIcon, moveUpIcon, nextChangeIcon, openAsTextIcon, pendingStateIcon, previousChangeIcon, renderOutputIcon, revertIcon, selectKernelIcon, splitCellIcon, stopEditIcon, stopIcon, successStateIcon, variablesViewIcon };
