import { localizeWithPath } from '../../../../nls.js';
import { Codicon } from '../../../../base/common/codicons.js';
import { registerIcon } from '../../../../platform/theme/common/iconRegistry.js';
const _moduleId = "vs/workbench/contrib/remote/browser/remoteIcons";
const getStartedIcon = registerIcon('remote-explorer-get-started', Codicon.star, ( localizeWithPath(_moduleId, 0, 'Getting started icon in the remote explorer view.')));
const documentationIcon = registerIcon('remote-explorer-documentation', Codicon.book, ( localizeWithPath(_moduleId, 1, 'Documentation icon in the remote explorer view.')));
registerIcon('remote-explorer-feedback', Codicon.twitter, ( localizeWithPath(_moduleId, 2, 'Feedback icon in the remote explorer view.')));
const reviewIssuesIcon = registerIcon('remote-explorer-review-issues', Codicon.issues, ( localizeWithPath(_moduleId, 3, 'Review issue icon in the remote explorer view.')));
const reportIssuesIcon = registerIcon('remote-explorer-report-issues', Codicon.comment, ( localizeWithPath(_moduleId, 4, 'Report issue icon in the remote explorer view.')));
const remoteExplorerViewIcon = registerIcon('remote-explorer-view-icon', Codicon.remoteExplorer, ( localizeWithPath(_moduleId, 5, 'View icon of the remote explorer view.')));
const portsViewIcon = registerIcon('ports-view-icon', Codicon.plug, ( localizeWithPath(_moduleId, 6, 'View icon of the remote ports view.')));
registerIcon('ports-view-icon', Codicon.plug, ( localizeWithPath(_moduleId, 7, 'Icon representing a remote port.')));
const privatePortIcon = registerIcon('private-ports-view-icon', Codicon.lock, ( localizeWithPath(_moduleId, 8, 'Icon representing a private remote port.')));
const forwardPortIcon = registerIcon('ports-forward-icon', Codicon.plus, ( localizeWithPath(_moduleId, 9, 'Icon for the forward action.')));
const stopForwardIcon = registerIcon('ports-stop-forward-icon', Codicon.x, ( localizeWithPath(_moduleId, 10, 'Icon for the stop forwarding action.')));
const openBrowserIcon = registerIcon('ports-open-browser-icon', Codicon.globe, ( localizeWithPath(_moduleId, 11, 'Icon for the open browser action.')));
const openPreviewIcon = registerIcon('ports-open-preview-icon', Codicon.openPreview, ( localizeWithPath(_moduleId, 12, 'Icon for the open preview action.')));
const copyAddressIcon = registerIcon('ports-copy-address-icon', Codicon.clippy, ( localizeWithPath(_moduleId, 13, 'Icon for the copy local address action.')));
const labelPortIcon = registerIcon('ports-label-icon', Codicon.tag, ( localizeWithPath(_moduleId, 14, 'Icon for the label port action.')));
const forwardedPortWithoutProcessIcon = registerIcon('ports-forwarded-without-process-icon', Codicon.circleOutline, ( localizeWithPath(
 _moduleId,
 15,
 'Icon for forwarded ports that don\'t have a running process.'
)));
const forwardedPortWithProcessIcon = registerIcon('ports-forwarded-with-process-icon', Codicon.circleFilled, ( localizeWithPath(_moduleId, 16, 'Icon for forwarded ports that do have a running process.')));
export { copyAddressIcon, documentationIcon, forwardPortIcon, forwardedPortWithProcessIcon, forwardedPortWithoutProcessIcon, getStartedIcon, labelPortIcon, openBrowserIcon, openPreviewIcon, portsViewIcon, privatePortIcon, remoteExplorerViewIcon, reportIssuesIcon, reviewIssuesIcon, stopForwardIcon };
