import { localizeWithPath } from '../../../../nls.js';
const _moduleId = "vs/workbench/services/configurationResolver/common/configurationResolverUtils";
function applyDeprecatedVariableMessage(schema) {
    schema.pattern = schema.pattern || '^(?!.*\\$\\{(env|config|command)\\.)';
    schema.patternErrorMessage = schema.patternErrorMessage ||
        ( localizeWithPath(
         _moduleId,
         0,
         "'env.', 'config.' and 'command.' are deprecated, use 'env:', 'config:' and 'command:' instead."
        ));
}
export { applyDeprecatedVariableMessage };
