import { ExtensionHostKind } from './extensionHostKind.js';

declare class LocalProcessRunningLocation {
    readonly affinity: number;
    readonly kind = ExtensionHostKind.LocalProcess;
    constructor(affinity: number);
    equals(other: ExtensionRunningLocation): boolean;
    asString(): string;
}
declare class LocalWebWorkerRunningLocation {
    readonly affinity: number;
    readonly kind = ExtensionHostKind.LocalWebWorker;
    constructor(affinity: number);
    equals(other: ExtensionRunningLocation): boolean;
    asString(): string;
}
declare class RemoteRunningLocation {
    readonly kind = ExtensionHostKind.Remote;
    readonly affinity = 0;
    equals(other: ExtensionRunningLocation): other is RemoteRunningLocation;
    asString(): string;
}
type ExtensionRunningLocation = LocalProcessRunningLocation | LocalWebWorkerRunningLocation | RemoteRunningLocation;

export { type ExtensionRunningLocation, LocalProcessRunningLocation, LocalWebWorkerRunningLocation, RemoteRunningLocation };
